using System;
using System.Drawing;

using Spark3D.View2D.Widgets;

namespace Spark3D.View2D.Widgets.Text
{
    public class WLabel : Widget
    {
        public WLabel()
            : base(0, 0, 0, 0)
        {
        }
        public WLabel(int width, int height, int x, int y) 
            : base(width, height, x, y)
        {
        }
        public override void Draw(ref Graphics g)
        {
            PointF LocationWithPadding = new PointF(this.Location.X + this.Padding, this.Location.Y + this.Padding);
            g.DrawString(this.Text, this.Font, new SolidBrush(this.TextColor), LocationWithPadding);
        }
    }
}
